case 1000 :
*textLabel=tr("Box");
*receiver=drawing;
*slot=SLOT(setBoxMode());
*helptext=setBoxModeHelp;
break;
case 1001 :
*textLabel=tr("Path");
*receiver=drawing;
*slot=SLOT(setPathMode());
*helptext=setPathModeHelp;
break;
case 1002 :
*textLabel=tr("Polygon");
*receiver=drawing;
*slot=SLOT(setPolygonMode());
*helptext=setPolygonModeHelp;
break;
case 1003 :
*textLabel=tr("Cell");
*receiver=this;
*slot=SLOT(addCellref());
*helptext=setCellrefModeHelp;
break;
case 1004 :
*textLabel=tr("Cellarray");
*receiver=this;
*slot=SLOT(addCellrefArray());
*helptext=setCellrefArrayModeHelp;
break;
case 1005 :
*textLabel=tr("Text");
*receiver=drawing;
*slot=SLOT(setTextMode());
*helptext=setTextModeHelp;
break;
case 1006 :
*textLabel=tr("Copy");
*receiver=drawing;
*slot=SLOT(setCopyMode());
*helptext=setCopyModeHelp;
break;
case 1007 :
*textLabel=tr("Move");
*receiver=drawing;
*slot=SLOT(setMoveMode());
*helptext=setMoveModeHelp;
break;
case 1008 :
*textLabel=tr("Move Point");
*receiver=drawing;
*slot=SLOT(setMovePointMode());
*helptext=setMovePointModeHelp;
break;
case 1009 :
*textLabel=tr("Move By");
*receiver=this;
*slot=SLOT(moveBy());
*helptext=moveByHelp;
break;
case 1010 :
*textLabel=tr("Rotate");
*receiver=drawing;
*slot=SLOT(setRotateMode());
*helptext=setRotateModeHelp;
break;
case 1011 :
*textLabel=tr("Mirror");
*receiver=drawing;
*slot=SLOT(setMirrorMode());
*helptext=setMirrorModeHelp;
break;
case 1012 :
*textLabel=tr("Copy to Layer");
*receiver=this;
*slot=SLOT(copyLayer());
*helptext=copyToLayerHelp;
break;
case 1013 :
*textLabel=tr("Move to Layer");
*receiver=this;
*slot=SLOT(moveLayer());
*helptext=moveToLayerHelp;
break;
case 1014 :
*textLabel=tr("Merge");
*receiver=this;
*slot=SLOT(mergeSelect());
*helptext=mergeHelp;
break;
case 1015 :
*textLabel=tr("Cut");
*receiver=drawing;
*slot=SLOT(setCutMode());
*helptext=setCutModeHelp;
break;
case 1016 :
*textLabel=tr("Delete");
*receiver=this;
*slot=SLOT(deleteSelect());
*helptext=deleteHelp;
break;
case 1017 :
*textLabel=tr("Properties");
*receiver=drawing;
*slot=SLOT(setPropertiesMode());
*helptext=setPropertiesModeHelp;
break;
case 1018 :
*textLabel=tr("New Layout");
*receiver=this;
*slot=SLOT(newDoc());
*helptext=newDrawingHelp;
break;
case 1019 :
*textLabel=tr("Open Layout");
*receiver=this;
*slot=SLOT(chooseGui());
*helptext=openFileHelp;
break;
case 1020 :
*textLabel=tr("Attach Layout");
*receiver=this;
*slot=SLOT(chooseImportGui());
*helptext=attachFileHelp;
break;
case 1021 :
*textLabel=tr("Update Cells");
*receiver=this;
*slot=SLOT(chooseUpdateGui());
*helptext=updateFileHelp;
break;
case 1237 :
*textLabel=tr("Open File/Import File");
*receiver=this;
*slot=SLOT(openImportGui());
*helptext=openImportFileHelp;
break;
case 1239 :
*textLabel=tr("Open File/Import File/Update File");
*receiver=this;
*slot=SLOT(openImportUpdateGui());
*helptext=openImportUpdateFileHelp;
break;
case 1022 :
*textLabel=tr("Save Layout");
*receiver=this;
*slot=SLOT(saveGui());
*helptext=saveFileHelp;
break;
case 1023 :
*textLabel=tr("Save Layout As");
*receiver=this;
*slot=SLOT(saveAsGui());
*helptext=saveAsFileHelp;
break;
case 1236 :
*textLabel=tr("Save/Save As...");
*receiver=this;
*slot=SLOT(saveAsSaveGui());
*helptext=saveAsSaveFileHelp;
break;
case 1024 :
*textLabel=tr("Screenshot");
*receiver=this;
*slot=SLOT(screenshotGui());
*helptext=screenshotHelp;
break;
case 1025 :
*textLabel=tr("Print Layout");
*receiver=this;
*slot=SLOT(printGui());
*helptext=printHelp;
break;
case 1026 :
*textLabel=tr("Pselect");
*receiver=drawing;
*slot=SLOT(setPselectMode());
*helptext=pointSelectHelp;
break;
case 1027 :
*textLabel=tr("Fselect");
*receiver=drawing;
*slot=SLOT(setFselectMode());
*helptext=formSelectHelp;
break;
case 1028 :
*textLabel=tr("Cselect");
*receiver=drawing;
*slot=SLOT(setCselectMode());
*helptext=cellSelectHelp;
break;
case 1029 :
*textLabel=tr("Pdeselect");
*receiver=drawing;
*slot=SLOT(setPdeselectMode());
*helptext=pointDeselectHelp;
break;
case 1030 :
*textLabel=tr("Fdeselect");
*receiver=drawing;
*slot=SLOT(setFdeselectMode());
*helptext=formDeselectHelp;
break;
case 1031 :
*textLabel=tr("Cdeselect");
*receiver=drawing;
*slot=SLOT(setCdeselectMode());
*helptext=cellDeselectHelp;
break;
case 1232 :
*textLabel=tr("Pselect/Pdeselect");
*receiver=drawing;
*slot=SLOT(setPselectModes());
*helptext=pointSelectDeselectHelp;
break;
case 1233 :
*textLabel=tr("Fselect/Fdeselect");
*receiver=drawing;
*slot=SLOT(setFselectModes());
*helptext=formSelectDeselectHelp;
break;
case 1234 :
*textLabel=tr("Cselect/Cdeselect");
*receiver=drawing;
*slot=SLOT(setCselectModes());
*helptext=cellSelectDeselectHelp;
break;
case 1032 :
*textLabel=tr("Select All");
*receiver=this;
*slot=SLOT(selectAll());
*helptext=selectAllHelp;
break;
case 1033 :
*textLabel=tr("Select Visible");
*receiver=this;
*slot=SLOT(selectVisible());
*helptext=selectVisibleHelp;
break;
case 1034 :
*textLabel=tr("Deselect All");
*receiver=this;
*slot=SLOT(deselectAll());
*helptext=deselectAllHelp;
break;
case 1238 :
*textLabel=tr("Select All/Select Visible/Deselect All");
*receiver=this;
*slot=SLOT(deSelectAll());
*helptext=deSelectAllHelp;
break;
case 1035 :
*textLabel=tr("Up");
*receiver=drawing;
*slot=SLOT(scrollUp());
*helptext=scrollUpHelp;
break;
case 1036 :
*textLabel=tr("Down");
*receiver=drawing;
*slot=SLOT(scrollDown());
*helptext=scrollDownHelp;
break;
case 1037 :
*textLabel=tr("Left");
*receiver=drawing;
*slot=SLOT(scrollLeft());
*helptext=scrollLeftHelp;
break;
case 1038 :
*textLabel=tr("Right");
*receiver=drawing;
*slot=SLOT(scrollRight());
*helptext=scrollRightHelp;
break;
case 1039 :
*textLabel=tr("Zoom In");
*receiver=drawing;
*slot=SLOT(scalePlus());
*helptext=zoomPlusHelp;
break;
case 1040 :
*textLabel=tr("Zoom Out");
*receiver=drawing;
*slot=SLOT(scaleMinus());
*helptext=zoomMinusHelp;
break;
case 1235 :
*textLabel=tr("Zoom In/Out");
*receiver=drawing;
*slot=SLOT(scalePlusMinus());
*helptext=zoomPlusMinusHelp;
break;
case 1041 :
*textLabel=tr("Zoom Fit All");
*receiver=drawing;
*slot=SLOT(scaleFullGui());
*helptext=zoomFullHelp;
break;
case 1042 :
*textLabel=tr("Zoom 1:1");
*receiver=drawing;
*slot=SLOT(scaleEins());
*helptext=zoomOneHelp;
break;
case 1043 :
*textLabel=tr("Zoom Mouse");
*receiver=drawing;
*slot=SLOT(setZoomMode());
*helptext=setZoomModeHelp;
break;
case 1044 :
*textLabel=tr("Select Cell (list)");
*receiver=this;
*slot=SLOT(setCellGui());
*helptext=selectCellHelp;
break;
case 1045 :
*textLabel=tr("Select Cell (graphical)");
*receiver=drawing;
*slot=SLOT(setSelectCellMode());
*helptext=setSelectCellModeHelp;
break;
case 1241 :
*textLabel=tr("Select Cell (graphical)/Cell Up");
*receiver=drawing;
*slot=SLOT(setSelectCellModeCellUp());
*helptext=setSelectCellModecellUpHelp;
break;
case 1046 :
*textLabel=tr("Cellname");
*receiver=this;
*slot=SLOT(setCellnameGui());
*helptext=setCellnameHelp;
break;
case 1047 :
*textLabel=tr("New Cell");
*receiver=this;
*slot=SLOT(newCellGui());
*helptext=newCellHelp;
break;
case 1048 :
*textLabel=tr("Delete Cell");
*receiver=this;
*slot=SLOT(deleteActuellCellGui());
*helptext=deleteCellHelp;
break;
case 1049 :
*textLabel=tr("Cell Flat");
*receiver=this;
*slot=SLOT(flat());
*helptext=flat1Help;
break;
case 1050 :
*textLabel=tr("Cell Flat Multilevel");
*receiver=this;
*slot=SLOT(flatAll());
*helptext=flatAllHelp;
break;
case 1051 :
*textLabel=tr("Group Simple");
*receiver=this;
*slot=SLOT(groupSimpleGui());
*helptext=groupSimpleHelp;
break;
case 1052 :
*textLabel=tr("Undo");
*receiver=this;
*slot=SLOT(undo());
*helptext=undoHelp;
break;
case 1053 :
*textLabel=tr("Redo");
*receiver=this;
*slot=SLOT(redo());
*helptext=redoHelp;
break;
case 1054 :
*textLabel=tr("Set Grid");
*receiver=this;
*slot=SLOT(setGrid());
*helptext=setGridHelp;
break;
case 1055 :
*textLabel=tr("Grid Coarser");
*receiver=this;
*slot=SLOT(gridMinus());
*helptext=reduceGridHelp;
break;
case 1056 :
*textLabel=tr("Grid Finer");
*receiver=this;
*slot=SLOT(gridPlus());
*helptext=increaseGridHelp;
break;
case 1057 :
*textLabel=tr("Grid Automatic");
*receiver=this;
*slot=SLOT(gridAuto());
*helptext=autoGridHelp;
break;
case 1240 :
*textLabel=tr("Grid Automatic/Plus/Minus");
*receiver=this;
*slot=SLOT(gridAutoPlusMinus());
*helptext=gridAutoPlusMinusHelp;
break;
case 1058 :
*textLabel=tr("Show Grid");
*receiver=this;
*slot=SLOT(showGridToggle());
*helptext=showGridHelp;
break;
case 1059 :
*textLabel=tr("Circle");
*receiver=drawing;
*slot=SLOT(setCircleMode());
*helptext=setCircleModeHelp;
break;
case 1060 :
*textLabel=tr("Sector");
*receiver=drawing;
*slot=SLOT(setSectorMode());
*helptext=setSectorModeHelp;
break;
case 1061 :
*textLabel=tr("Arc");
*receiver=drawing;
*slot=SLOT(setArcMode());
*helptext=setArcModeHelp;
break;
case 1062 :
*textLabel=tr("Spiral");
*receiver=drawing;
*slot=SLOT(setSpiralMode());
*helptext=setSpiralModeHelp;
break;
case 1063 :
*textLabel=tr("Remove Small Edges");
*receiver=this;
*slot=SLOT(edgeRemoveSelect());
*helptext=removeSmallHelp;
break;
case 1064 :
*textLabel=tr("Round Elements");
*receiver=this;
*slot=SLOT(roundSelect());
*helptext=roundHelp;
break;
case 1065 :
*textLabel=tr("Sizeadjust");
*receiver=this;
*slot=SLOT(sizeadjustSelect());
*helptext=sizeAdjustHelp;
break;
case 1066 :
*textLabel=tr("Scale");
*receiver=drawing;
*slot=SLOT(setScaleMode());
*helptext=setscaleModeHelp;
break;
case 1067 :
*textLabel=tr("Area");
*receiver=this;
*slot=SLOT(areaSelect());
*helptext=areaHelp;
break;
case 1068 :
*textLabel=tr("Ruler");
*receiver=drawing;
*slot=SLOT(setRulerMode());
*helptext=setRulerModeHelp;
break;
case 1070 :
*textLabel=tr("Set Select to A");
*receiver=booleanTool;
*slot=SLOT(setAGui());
*helptext=setAHelp;
break;
case 1071 :
*textLabel=tr("Set Select to B");
*receiver=booleanTool;
*slot=SLOT(setBGui());
*helptext=setBHelp;
break;
case 1072 :
*textLabel=tr("A + B");
*receiver=booleanTool;
*slot=SLOT(aPlusBGui());
*helptext=APlusBHelp;
break;
case 1073 :
*textLabel=tr("A * B");
*receiver=booleanTool;
*slot=SLOT(aMultiBGui());
*helptext=AMultiBHelp;
break;
case 1074 :
*textLabel=tr("A - B");
*receiver=booleanTool;
*slot=SLOT(aMinusBGui());
*helptext=AMinusBHelp;
break;
case 1075 :
*textLabel=tr("B - A");
*receiver=booleanTool;
*slot=SLOT(bMinusAGui());
*helptext=BMinusAHelp;
break;
case 1076 :
*textLabel=tr("A exor B");
*receiver=booleanTool;
*slot=SLOT(aExorBGui());
*helptext=AEorBHelp;
break;
case 1077 :
*textLabel=tr("Snap to Grid");
*receiver=this;
*slot=SLOT(toggleSnapToGrid());
*helptext=snapGridHelp;
break;
case 1078 :
*textLabel=tr("Snap to Point");
*receiver=this;
*slot=SLOT(toggleSnapToPoint());
*helptext=snapPointHelp;
break;
case 1079 :
*textLabel=tr("Snap to Line");
*receiver=this;
*slot=SLOT(toggleSnapToLine());
*helptext=snapLineHelp;
break;
case 1080 :
*textLabel=tr("Snap to Middle of Line");
*receiver=this;
*slot=SLOT(toggleSnapToMiddle());
*helptext=snapMiddleHelp;
break;
case 1081 :
*textLabel=tr("Snap to Center");
*receiver=this;
*slot=SLOT(toggleSnapToCenter());
*helptext=snapCenterHelp;
break;
case 1082 :
*textLabel=tr("Snap to Intersection");
*receiver=this;
*slot=SLOT(toggleSnapToIntersection());
*helptext=snapInterHelp;
break;
case 1083 :
*textLabel=tr("Setup");
*receiver=setup;
*slot=SLOT(open());
*helptext=setupHelp;
break;
case 1084 :
*textLabel=tr("Bezier 2nd");
*receiver=drawing;
*slot=SLOT(setBezier2Mode());
*helptext=setBezier2ModeHelp;
break;
case 1085 :
*textLabel=tr("Bezier 3rd");
*receiver=drawing;
*slot=SLOT(setBezier3Mode());
*helptext=setBezier3ModeHelp;
break;
case 1086 :
*textLabel=tr("Polygon Arc");
*receiver=drawing;
*slot=SLOT(setPolygonArcMode());
*helptext=setArc2ModeHelp;
break;
case 1087 :
*textLabel=tr("Path Select");
*receiver=this;
*slot=SLOT(pathSelect());
*helptext=pathSelectHelp;
break;
case 1088 :
*textLabel=tr("Path Deselect");
*receiver=this;
*slot=SLOT(pathDeselect());
*helptext=pathDeselectHelp;
break;
case 1089 :
*textLabel=tr("Polygon Select");
*receiver=this;
*slot=SLOT(polygonSelect());
*helptext=polygonSelectHelp;
break;
case 1090 :
*textLabel=tr("Polygon Deselect");
*receiver=this;
*slot=SLOT(polygonDeselect());
*helptext=polygonDeselectHelp;
break;
case 1091 :
*textLabel=tr("Box Select");
*receiver=this;
*slot=SLOT(boxSelect());
*helptext=boxSelectHelp;
break;
case 1092 :
*textLabel=tr("Box Deselect");
*receiver=this;
*slot=SLOT(boxDeselect());
*helptext=boxDeselectHelp;
break;
case 1093 :
*textLabel=tr("Text Select");
*receiver=this;
*slot=SLOT(textSelect());
*helptext=textSelectHelp;
break;
case 1094 :
*textLabel=tr("Text Deselect");
*receiver=this;
*slot=SLOT(textDeselect());
*helptext=textDeselectHelp;
break;
case 1095 :
*textLabel=tr("Convert to Polygon");
*receiver=this;
*slot=SLOT(toPolygon());
*helptext=toPolygonHelp;
break;
case 1096 :
*textLabel=tr("Convert to Box");
*receiver=this;
*slot=SLOT(toBox());
*helptext=toBoxHelp;
break;
case 1097 :
*textLabel=tr("Select Active Layer");
*receiver=this;
*slot=SLOT(selectActiveLayer());
*helptext=selectLayerHelp;
break;
case 1098 :
*textLabel=tr("Deselect Active Layer");
*receiver=this;
*slot=SLOT(deselectActiveLayer());
*helptext=deselectLayerHelp;
break;
case 1104 :
*textLabel=tr("Minimum Size");
*receiver=this;
*slot=SLOT(drcMinSize());
*helptext=drcMinSizeHelp;
break;
case 1107 :
*textLabel=tr("Minimum Element Distance");
*receiver=this;
*slot=SLOT(drcMinElementDistance());
*helptext=drcMinElementDisHelp;
break;
case 1106 :
*textLabel=tr("Overlapping Elements");
*receiver=drcTool;
*slot=SLOT(overlapingElementsOnActiveLayerGui());
*helptext=drcOverlapingElementsHelp;
break;
case 1101 :
*textLabel=tr("Minimum Distance");
*receiver=this;
*slot=SLOT(drcMinDistance());
*helptext=drcMinDistanceHelp;
break;
case 1102 :
*textLabel=tr("Minimum Distance Or Overlap");
*receiver=this;
*slot=SLOT(drcMinDistanceOrOverlap());
*helptext=drcMinDistanceOrOverlapHelp;
break;
case 1103 :
*textLabel=tr("Inside");
*receiver=this;
*slot=SLOT(drcInside());
*helptext=drcInsideHelp;
break;
case 1209 :
*textLabel=tr("Enclosure");
*receiver=this;
*slot=SLOT(drcEnclosure());
*helptext=drcEnclosureHelp;
break;
case 1105 :
*textLabel=tr("Minimum Overlap");
*receiver=this;
*slot=SLOT(drcMinOverlap());
*helptext=drcMinOverHelp;
break;
case 1210 :
*textLabel=tr("Overlap Distance");
*receiver=this;
*slot=SLOT(drcOverlapDistance());
*helptext=drcOverlapDistanceHelp;
break;
case 1207 :
*textLabel=tr("Layer Combination");
*receiver=this;
*slot=SLOT(drcLayerCombination());
*helptext=drcLayerCombinationHelp;
break;
case 1211 :
*textLabel=tr("On Grid");
*receiver=this;
*slot=SLOT(drcGrid());
*helptext=drcOnGridHelp;
break;
case 1225 :
*textLabel=tr("No Holes");
*receiver=this;
*slot=SLOT(drcNoHoles());
*helptext=drcNoHolesHelp;
break;
case 1226 :
*textLabel=tr("Minimum Notches");
*receiver=this;
*slot=SLOT(drcNotches());
*helptext=drcNotchesHelp;
break;
case 1227 :
*textLabel=tr("Angle Check");
*receiver=this;
*slot=SLOT(drcAngles());
*helptext=drcAnglesHelp;
break;
case 1228 :
*textLabel=tr("Dimension Check");
*receiver=this;
*slot=SLOT(drcDimension());
*helptext=drcDimensionHelp;
break;
case 1229 :
*textLabel=tr("Area Check");
*receiver=this;
*slot=SLOT(drcArea());
*helptext=drcAreaHelp;
break;
case 1230 :
*textLabel=tr("Perimeter Check");
*receiver=this;
*slot=SLOT(drcPerimeter());
*helptext=drcPerimeterHelp;
break;
case 1099 :
*textLabel=tr("Set Error Layer");
*receiver=drcTool;
*slot=SLOT(setErrorLayerToActiveLayer());
*helptext=drcSetLayerHelp;
break;
case 1100 :
*textLabel=tr("Show DRC-Report");
*receiver=drcTool;
*slot=SLOT(showReport());
*helptext=drcShowReportHelp;
break;
case 1108 :
*textLabel=tr("no Element");
*receiver=drcTool;
*slot=SLOT(noElementOnActiveLayerGui());
*helptext=drcNoElementHelp;
break;
case 1109 :
*textLabel=tr("no Path");
*receiver=drcTool;
*slot=SLOT(noPathOnActiveLayerGui());
*helptext=drcNoPathHelp;
break;
case 1110 :
*textLabel=tr("no Box");
*receiver=drcTool;
*slot=SLOT(noBoxOnActiveLayerGui());
*helptext=drcNoBoxHelp;
break;
case 1111 :
*textLabel=tr("no Text");
*receiver=drcTool;
*slot=SLOT(noTextOnActiveLayerGui());
*helptext=drcNoTextHelp;
break;
case 1112 :
*textLabel=tr("no Polygon");
*receiver=drcTool;
*slot=SLOT(noPolygonOnActiveLayerGui());
*helptext=drcNoPolygonHelp;
break;
case 1113 :
*textLabel=tr("no Cirlce");
*receiver=drcTool;
*slot=SLOT(noCircleOnActiveLayerGui());
*helptext=drcNoCircleHelp;
break;
case 1114 :
*textLabel=tr("only corcle");
*receiver=drcTool;
*slot=SLOT(onlyCircleOnActiveLayerGui());
*helptext=drcOnlyCircleHelp;
break;
case 1115 :
*textLabel=tr("Angle");
*receiver=drawing;
*slot=SLOT(setAngleMode());
*helptext=setAngleModeHelp;
break;
case 1116 :
*textLabel=tr("Start Macro Recording");
*receiver=this;
*slot=SLOT(startMacroRecording());
*helptext=macroStartHelp;
break;
case 1117 :
*textLabel=tr("Save Recorded Macro");
*receiver=this;
*slot=SLOT(stopMacroRecording());
*helptext=macroStopHelp;
break;
case 1118 :
*textLabel=tr("Execute Macro");
*receiver=this;
*slot=SLOT(executeMacroGui());
*helptext=macroExecuteHelp;
break;
case 1119 :
*textLabel=tr("Update Macros");
*receiver=this;
*slot=SLOT(updateMacros());
*helptext=macroReloadHelp;
break;
case 1120 :
*textLabel=tr("Generate Technology Macro");
*receiver=this;
*slot=SLOT(generateTechnologyMacro());
*helptext=generateTechMacroHelp;
break;
case 1121 :
*textLabel=tr("Generate View Macro");
*receiver=this;
*slot=SLOT(generateViewMacro());
*helptext=generateViewMacroHelp;
break;
case 1122 :
*textLabel=tr("Copy Current Cell");
*receiver=this;
*slot=SLOT(copyCurrentCell());
*helptext=copyCellHelp;
break;
case 1123 :
*textLabel=tr("Extract Current Cell");
*receiver=this;
*slot=SLOT(extractCell());
*helptext=extractCellHelp;
break;
case 1124 :
*textLabel=tr("Extract Active Layer");
*receiver=this;
*slot=SLOT(extractLayer());
*helptext=extractLayerHelp;
break;
case 1125 :
*textLabel=tr("Invert Selection");
*receiver=this;
*slot=SLOT(invertSelect());
*helptext=invertSelectHelp;
break;
case 1126 :
*textLabel=tr("Convert to Circle");
*receiver=this;
*slot=SLOT(toCircle());
*helptext=toCircleHelp;
break;
case 1127 :
*textLabel=tr("Zoom Fit Selection");
*receiver=drawing;
*slot=SLOT(scaleSelectGui());
*helptext=zoomSelectHelp;
break;
case 1128 :
*textLabel=tr("Move X");
*receiver=drawing;
*slot=SLOT(setMoveXMode());
*helptext=setMoveXModeHelp;
break;
case 1129 :
*textLabel=tr("Move Y");
*receiver=drawing;
*slot=SLOT(setMoveYMode());
*helptext=setMoveYModeHelp;
break;
case 1130 :
*textLabel=tr("Circle / Ellipse");
*receiver=drawing;
*slot=SLOT(setCircleBoxMode());
*helptext=setCircleBoxModeHelp;
break;
case 1131 :
*textLabel=tr("Circle");
*receiver=drawing;
*slot=SLOT(setCircleFitMode());
*helptext=setCircleFitModeHelp;
break;
case 1132 :
*textLabel=tr("Center in XY");
*receiver=drawing;
*slot=SLOT(setCenterMode());
*helptext=centerHelp;
break;
case 1133 :
*textLabel=tr("Center in X");
*receiver=drawing;
*slot=SLOT(setCenterXMode());
*helptext=centerXHelp;
break;
case 1134 :
*textLabel=tr("Center in Y");
*receiver=drawing;
*slot=SLOT(setCenterYMode());
*helptext=centerYHelp;
break;
case 1135 :
*textLabel=tr("Align to Center");
*receiver=drawing;
*slot=SLOT(setAlignCenterMode());
*helptext=alignHelp;
break;
case 1136 :
*textLabel=tr("Align to X-Center");
*receiver=drawing;
*slot=SLOT(setAlignCenterXMode());
*helptext=alignXHelp;
break;
case 1137 :
*textLabel=tr("Align to Y-Center");
*receiver=drawing;
*slot=SLOT(setAlignCenterYMode());
*helptext=alignYHelp;
break;
case 1138 :
*textLabel=tr("Align to Value");
*receiver=drawing;
*slot=SLOT(setAlignValueMode());
*helptext=alignValueHelp;
break;
case 1139 :
*textLabel=tr("Align Left");
*receiver=drawing;
*slot=SLOT(setAlignLeftMode());
*helptext=alignLeftHelp;
break;
case 1140 :
*textLabel=tr("Align Right");
*receiver=drawing;
*slot=SLOT(setAlignRightMode());
*helptext=alignRightHelp;
break;
case 1141 :
*textLabel=tr("Align Top");
*receiver=drawing;
*slot=SLOT(setAlignTopMode());
*helptext=alignTopHelp;
break;
case 1142 :
*textLabel=tr("Align Bottom");
*receiver=drawing;
*slot=SLOT(setAlignBottomMode());
*helptext=alignBottomHelp;
break;
case 1143 :
*textLabel=tr("Strip Unneeded");
*receiver=this;
*slot=SLOT(stripUnneeded());
*helptext=stripUnneededHelp;
break;
case 1144 :
*textLabel=tr("Copy");
*receiver=this;
*slot=SLOT(clipboardCopy());
*helptext=clipboardCopyHelp;
break;
case 1145 :
*textLabel=tr("Paste");
*receiver=this;
*slot=SLOT(clipboardPaste());
*helptext=clipboardPasteHelp;
break;
case 1146 :
*textLabel=tr("Help");
*receiver=helpwindow;
*slot=SLOT(showHelp());
*helptext=helpHelp;
break;
case 1147 :
*textLabel=tr("About");
*receiver=this;
*slot=SLOT(about());
*helptext=aboutHelp;
break;
case 1148 :
*textLabel=tr("What's this");
*receiver=this;
*slot=SLOT(about());
*helptext=whatThisHelp;
break;
case 1149 :
*textLabel=tr("Quit");
*receiver=this;
*slot=SLOT(close());
*helptext=exitHelp;
break;
case 1151 :
*textLabel=tr("Length");
*receiver=drawing;
*slot=SLOT(setLengthMode());
*helptext=lengthHelp;
break;
case 1152 :
*textLabel=tr("Length Element");
*receiver=drawing;
*slot=SLOT(setLengthElementMode());
*helptext=lengthelementHelp;
break;
#ifdef USE_3d
case 1153 :
*textLabel=tr("Setup 3D");
*receiver=view3dTool;
*slot=SLOT(setup3d());
*helptext=view3dsetupHelp;
break;
#endif
#ifdef USE_3d
case 1154 :
*textLabel=tr("Render All");
*receiver=view3dTool;
*slot=SLOT(renderAll());
*helptext=view3dallHelp;
break;
#endif
#ifdef USE_3d
case 1155 :
*textLabel=tr("Render Select");
*receiver=view3dTool;
*slot=SLOT(renderSelect());
*helptext=view3dselectHelp;
break;
#endif
#ifdef USE_3d
case 1156 :
*textLabel=tr("Auto-Render");
*receiver=view3dTool;
*slot=SLOT(renderAuto());
*helptext=view3dautoHelp;
break;
#endif
#ifdef USE_3d
case 1157 :
*textLabel=tr("Off/Hide");
*receiver=view3dTool;
*slot=SLOT(renderOff());
*helptext=view3doffHelp;
break;
#endif
#ifdef USE_3d
case 1158 :
*textLabel=tr("Export 3D");
*receiver=view3dTool;
*slot=SLOT(screenshot3dGui());
*helptext=view3dscreenshotHelp;
break;
#endif
case 1163 :
*textLabel=tr("Next Layout");
*receiver=this;
*slot=SLOT(nextLayout());
*helptext=nextLayoutHelp;
break;
case 1164 :
*textLabel=tr("Group");
*receiver=this;
*slot=SLOT(groupGui());
*helptext=groupHelp;
break;
case 1165 :
*textLabel=tr("Group Structure");
*receiver=this;
*slot=SLOT(groupStructureGui());
*helptext=groupStructureHelp;
break;
case 1166 :
*textLabel=tr("Group Global");
*receiver=this;
*slot=SLOT(groupGlobalGui());
*helptext=groupGlobalHelp;
break;
case 1167 :
*textLabel=tr("Cell Up");
*receiver=drawing;
*slot=SLOT(cellUpGui());
*helptext=cellUpHelp;
break;
case 1168 :
*textLabel=tr("Strip Identical Elements");
*receiver=this;
*slot=SLOT(stripIdenticalElements());
*helptext=stripIdenticalElementsHelp;
break;
#ifdef netlistutility
case 1169 :
*textLabel=tr("Load Netlist");
*receiver=netlistTool;
*slot=SLOT(chooseNetlistGui());
*helptext=netlistLoadHelp;
break;
#endif
#ifdef netlistutility
case 1170 :
*textLabel=tr("Save Netlist");
*receiver=netlistTool;
*slot=SLOT(saveAsNetlistGui());
*helptext=netlistSaveHelp;
break;
#endif
#ifdef netlistutility
case 1171 :
*textLabel=tr("Add Library");
*receiver=netlistTool;
*slot=SLOT(libraryAdd());
*helptext=netlistAddLibraryHelp;
break;
#endif
#ifdef netlistutility
case 1175 :
*textLabel=tr("Add Technology Layer");
*receiver=netlistTool;
*slot=SLOT(technologyLayerNew());
*helptext=technologyLayerNewHelp;
break;
#endif
#ifdef netlistutility
case 1179 :
*textLabel=tr("Set Place Mode");
*receiver=netlistTool;
*slot=SLOT(setPlaceMode());
*helptext=setPlaceModeHelp;
break;
#endif
#ifdef netlistutility
case 1180 :
*textLabel=tr("Set Route Mode");
*receiver=netlistTool;
*slot=SLOT(setRouteMode());
*helptext=setRouteModeHelp;
break;
#endif
#ifdef netlistutility
case 1184 :
*textLabel=tr("Set Node Mode");
*receiver=netlistTool;
*slot=SLOT(setShowNodeMode());
*helptext=setNodeModeHelp;
break;
#endif
#ifdef netlistutility
case 1185 :
*textLabel=tr("Build Connections");
*receiver=netlistTool;
*slot=SLOT(buildConnectGui());
*helptext=buildConnectHelp;
break;
#endif
#ifdef netlistutility
case 1186 :
*textLabel=tr("Save Extracted Netlist");
*receiver=netlistTool;
*slot=SLOT(saveExtractNetlistGui());
*helptext=saveGenNetHelp;
break;
#endif
#ifdef netlistutility
case 1187 :
*textLabel=tr("Layout verus Schematic");
*receiver=netlistTool;
*slot=SLOT(LVSGui());
*helptext=lvsHelp;
break;
#endif
case 1188 :
*textLabel=tr("Register License");
*receiver=this;
*slot=SLOT(registerLicense());
*helptext=registerLicenseHelp;
break;
case 1189 :
*textLabel=tr("Layer Manager");
*receiver=this;
*slot=SLOT(openLayerManager());
*helptext=layerManagerHelp;
break;
case 1190 :
*textLabel=tr("Compare Cell");
*receiver=this;
*slot=SLOT(compareCell());
*helptext=compareCellHelp;
break;
case 1191 :
*textLabel=tr("Convert to Mesh");
*receiver=this;
*slot=SLOT(toMeshSelect());
*helptext=toMeshHelp;
break;
case 1192 :
*textLabel=tr("Crop Sharp Angles");
*receiver=this;
*slot=SLOT(cropSharpAnglesSelect());
*helptext=cropSharpAnglesHelp;
break;
#ifdef barcodeutility
case 1193 :
*textLabel=tr("Code 39");
*receiver=barcodeTool;
*slot=SLOT(setCode39Mode());
*helptext=setBarcodeCode39ModeHelp;
break;
#endif
#ifdef barcodeutility
case 1194 :
*textLabel=tr("Code 39 Mod 43");
*receiver=barcodeTool;
*slot=SLOT(setCode39Mod43Mode());
*helptext=setBarcodeCode39Mod43ModeHelp;
break;
#endif
#ifdef barcodeutility
case 1195 :
*textLabel=tr("Code 128");
*receiver=barcodeTool;
*slot=SLOT(setCode128Mode());
*helptext=setBarcodeCode128ModeHelp;
break;
#endif
#ifdef barcodeutility
case 1196 :
*textLabel=tr("Code 128 A");
*receiver=barcodeTool;
*slot=SLOT(setCode128AMode());
*helptext=setBarcodeCode128AModeHelp;
break;
#endif
#ifdef barcodeutility
case 1197 :
*textLabel=tr("Code 128 B");
*receiver=barcodeTool;
*slot=SLOT(setCode128BMode());
*helptext=setBarcodeCode128BModeHelp;
break;
#endif
#ifdef barcodeutility
case 1198 :
*textLabel=tr("Code 128 C");
*receiver=barcodeTool;
*slot=SLOT(setCode128CMode());
*helptext=setBarcodeCode128CModeHelp;
break;
#endif
#ifdef barcodeutility
case 1199 :
*textLabel=tr("Datamatrix");
*receiver=barcodeTool;
*slot=SLOT(setDatamatrixMode());
*helptext=setDatamatrixModeHelp;
break;
#endif
case 1200 :
*textLabel=tr("Crop With Selection");
*receiver=this;
*slot=SLOT(cropWithSelection());
*helptext=cropWithSelectionHelp;
break;
case 1201 :
*textLabel=tr("Modify Corners");
*receiver=this;
*slot=SLOT(modifyCorners());
*helptext=modifyCornersHelp;
break;
case 1202 :
*textLabel=tr("Set Cell Origin");
*receiver=drawing;
*slot=SLOT(setCellOriginMode());
*helptext=setCellOriginHelp;
break;
case 1203 :
*textLabel=tr("Closed Path to Polygon");
*receiver=this;
*slot=SLOT(closedPathToPolygon());
*helptext=closedPathToPolygonHelp;
break;
case 1204 :
*textLabel=tr("Insert Polygon Point");
*receiver=drawing;
*slot=SLOT(setInsertPointMode());
*helptext=insertPointHelp;
break;
case 1206 :
*textLabel=tr("Merge to Layer");
*receiver=booleanTool;
*slot=SLOT(mergeSelectToActiveLayer());
*helptext=mergeToHelp;
break;
case 1208 :
*textLabel=tr("Element size");
*receiver=drawing;
*slot=SLOT(setElementSizeMode());
*helptext=setElementSizeModeHelp;
break;
case 1212 :
*textLabel=tr("Save 3D Setup");
*receiver=this;
*slot=SLOT(generate3dSetupMacro());
*helptext=generate3dSetupMacroHelp;
break;
case 1213 :
*textLabel=tr("Set active Layer to A");
*receiver=booleanTool;
*slot=SLOT(setLayerAGui());
*helptext=setLayerAHelp;
break;
case 1214 :
*textLabel=tr("Set active Layer to B");
*receiver=booleanTool;
*slot=SLOT(setLayerBGui());
*helptext=setLayerBHelp;
break;
case 1215 :
*textLabel=tr("Schematic");
*receiver=this;
*slot=SLOT(openSchematic());
*helptext=schematicHelp;
break;
case 1216 :
*textLabel=tr("Open Layout Window");
*receiver=this;
*slot=SLOT(openLayout());
*helptext=openLayoutHelp;
break;
case 1218 :
*textLabel=tr("Paint Details Auto");
*receiver=drawing;
*slot=SLOT(setDetailLevelAuto());
*helptext=detailsAutoHelp;
break;
case 1219 :
*textLabel=tr("Paint Details All");
*receiver=drawing;
*slot=SLOT(setDetailLevelAll());
*helptext=detailsAllHelp;
break;
case 1220 :
*textLabel=tr("Paint Details Level 1");
*receiver=drawing;
*slot=SLOT(setDetailLevel1());
*helptext=detailsLevel1Help;
break;
case 1221 :
*textLabel=tr("Paint Details Level 2");
*receiver=drawing;
*slot=SLOT(setDetailLevel2());
*helptext=detailsLevel2Help;
break;
case 1222 :
*textLabel=tr("Paint Details Level 3");
*receiver=drawing;
*slot=SLOT(setDetailLevel3());
*helptext=detailsLevel3Help;
break;
case 1223 :
*textLabel=tr("Goto XY");
*receiver=this;
*slot=SLOT(gotoxy());
*helptext=gotoxyHelp;
break;
case 1224 :
*textLabel=tr("Copy By");
*receiver=this;
*slot=SLOT(copyBy());
*helptext=copyByHelp;
break;
case 1231 :
*textLabel=tr("Select/Edit");
*receiver=drawing;
*slot=SLOT(setDefaultMode());
*helptext=setSelectEditHelp;
break;
case 1242 :
*textLabel=tr("Strip Empty Cells");
*receiver=this;
*slot=SLOT(stripEmptyCells());
*helptext=stripEmptyCellsHelp;
break;
case 1243 :
*textLabel=tr("Remove Cell Arrays");
*receiver=this;
*slot=SLOT(removeCellArrays());
*helptext=removeCellArrayHelp;
break;
case 1244 :
*textLabel=tr("Remove not Orthogonal References");
*receiver=this;
*slot=SLOT(removeNotOrthogonalCellref());
*helptext=removeNotOrthogonalRefHelp;
break;
#ifdef OPENACCESS
case 1245 :
*textLabel=tr("Create/Register Library");
*receiver=oaTool;
*slot=SLOT(registerLibrary());
*helptext=oaLibCreateHelp;
break;
#endif
#ifdef OPENACCESS
case 1246 :
*textLabel=tr("Set Working Library");
*receiver=oaTool;
*slot=SLOT(chooseWorkingLibrary());
*helptext=oaSetLibHelp;
break;
#endif
#ifdef OPENACCESS
case 1250 :
*textLabel=tr("Load OpenAccess View");
*receiver=oaTool;
*slot=SLOT(chooseViewGui());
*helptext=oaOpenHelp;
break;
#endif
#ifdef OPENACCESS
case 1247 :
*textLabel=tr("Read Layer.Map");
*receiver=oaTool;
*slot=SLOT(chooseLayerMap());
*helptext=oaReadLayerHelp;
break;
#endif
#ifdef OPENACCESS
case 4024 :
*textLabel=tr("Add Component Library");
*receiver=oaTool;
*slot=SLOT(addSchematicLibrary());
*helptext=oaAddLibHelp;
break;
#endif
#ifdef OPENACCESS
case 1248 :
*textLabel=tr("About OpenAccess");
*receiver=oaTool;
*slot=SLOT(about());
*helptext=oaVersionHelp;
break;
#endif
#ifdef OPENACCESS
case 1249 :
*textLabel=tr("Load OpenAccess Netlist");
*receiver=oaTool;
*slot=SLOT(loadNetlistGui());
*helptext=oaLoadNetHelp;
break;
#endif
case 1251 :
*textLabel=tr("Remove Scaled References");
*receiver=this;
*slot=SLOT(removeScaledCellref());
*helptext=removeScaledRefHelp;
break;
#ifdef OPENACCESS
case 1252 :
*textLabel=tr("Show OpenAccess View Parameter");
*receiver=oaTool;
*slot=SLOT(showCellInfo());
*helptext=oaCellInfoHelp;
break;
#endif
case 1253 :
*textLabel=tr("Edit Macro");
*receiver=this;
*slot=SLOT(editMacroGui());
*helptext=macroeditHelp;
break;
#ifdef backgroundutility
case 1254 :
*textLabel=tr("Set Background Image");
*receiver=backgroundTool;
*slot=SLOT(setBackgroundGui());
*helptext=backgroundsetHelp;
break;
#endif
#ifdef backgroundutility
case 1255 :
*textLabel=tr("Clear Background Image");
*receiver=backgroundTool;
*slot=SLOT(clearBackgroundGui());
*helptext=backgroundallclearHelp;
break;
#endif
case 1256 :
*textLabel=tr("Close Design");
*receiver=this;
*slot=SLOT(closeDesignGui());
*helptext=closeDesignHelp;
break;
case 1257 :
*textLabel=tr("Select Cell By Name");
*receiver=this;
*slot=SLOT(selectCellref());
*helptext=selectCellNameHelp;
break;
#ifdef backgroundutility
case 1258 :
*textLabel=tr("Clear Current Background Image");
*receiver=backgroundTool;
*slot=SLOT(clearCurrentBackgroundGui());
*helptext=backgroundclearHelp;
break;
#endif
#ifdef backgroundutility
case 1259 :
*textLabel=tr("Center Current Background Image");
*receiver=backgroundTool;
*slot=SLOT(setCenterCurrentBackgroundGui());
*helptext=centerBackgroundHelp;
break;
#endif
#ifdef backgroundutility
case 1260 :
*textLabel=tr("Place Background Image");
*receiver=backgroundTool;
*slot=SLOT(setPlaceCurrentBackgroundModeGui());
*helptext=placeBackgroundHelp;
break;
#endif
#ifdef backgroundutility
case 1261 :
*textLabel=tr("Color Set");
*receiver=backgroundTool;
*slot=SLOT(setShapeColor());
*helptext=backgroundSetColorHelp;
break;
#endif
#ifdef backgroundutility
case 1262 :
*textLabel=tr("Choose Color");
*receiver=backgroundTool;
*slot=SLOT(chooseShapeColor());
*helptext=backgroundChooseColorHelp;
break;
#endif
#ifdef backgroundutility
case 1263 :
*textLabel=tr("Preview Color");
*receiver=backgroundTool;
*slot=SLOT(previewShapeColor());
*helptext=backgroundPreviewColorHelp;
break;
#endif
case 1264 :
*textLabel=tr("Previous Cell");
*receiver=drawing;
*slot=SLOT(setPreviousCellGui());
*helptext=setPreviousCellHelp;
break;
case 1265 :
*textLabel=tr("Set Userunits");
*receiver=this;
*slot=SLOT(chooseUserunits());
*helptext=setUserunitsHelp;
break;
case 1266 :
*textLabel=tr("Snap Shapes");
*receiver=this;
*slot=SLOT(snapShapesSelect());
*helptext=snapShapesHelp;
break;
case 2001 :
*textLabel=tr("Set Active Layer");
*receiver=layerTools;
*slot=SLOT(layerActive());
*helptext=setActiveLayerHelp;
break;
case 2002 :
*textLabel=tr("Layer Visibility toggle");
*receiver=layerTools;
*slot=SLOT(layerVisibleToggle());
*helptext=setVisibilityLayerHelp;
break;
case 2003 :
*textLabel=tr("Hide Other Layer");
*receiver=layerTools;
*slot=SLOT(layerHideOther());
*helptext=setHideOtherLayerHelp;
break;
case 2004 :
*textLabel=tr("Show All Layer");
*receiver=layerTools;
*slot=SLOT(layerShowAll());
*helptext=setAllLayerHelp;
break;
case 2005 :
*textLabel=tr("Hide Unused Layers");
*receiver=this;
*slot=SLOT(hideUnusedLayers());
*helptext=hideUnusedLayersHelp;
break;
case 2006 :
*textLabel=tr("Disable Unused Layers");
*receiver=this;
*slot=SLOT(disableUnusedLayers());
*helptext=disableUnusedLayersHelp;
break;
case 2007 :
*textLabel=tr("Enable All Layers");
*receiver=this;
*slot=SLOT(enableAllLayer());
*helptext=enableAllLayersHelp;
break;
case 2012 :
*textLabel=tr("Hide Current Unused Layers");
*receiver=this;
*slot=SLOT(hideCurrentUnusedLayers());
*helptext=hideCurUnusedLayersHelp;
break;
case 4000 :
*textLabel=tr("Bus");
*receiver=drawing;
*slot=SLOT(setBusMode());
*helptext=schematicBusHelp;
break;
case 4001 :
*textLabel=tr("Wire");
*receiver=drawing;
*slot=SLOT(setWireMode());
*helptext=schematicWireHelp;
break;
case 4002 :
*textLabel=tr("Label Node");
*receiver=drawing;
*slot=SLOT(setLabelNodeMode());
*helptext=lableNodeHelp;
break;
case 4003 :
*textLabel=tr("Port");
*receiver=drawing;
*slot=SLOT(setPortMode());
*helptext=portHelp;
break;
case 4004 :
*textLabel=tr("Bus Port");
*receiver=drawing;
*slot=SLOT(setBusPortMode());
*helptext=busportHelp;
break;
case 4005 :
*textLabel=tr("Line");
*receiver=drawing;
*slot=SLOT(setLineMode());
*helptext=schematicLineHelp;
break;
case 4006 :
*textLabel=tr("Rectangle");
*receiver=drawing;
*slot=SLOT(setRectMode());
*helptext=schematicRectHelp;
break;
case 4007 :
*textLabel=tr("Circle");
*receiver=drawing;
*slot=SLOT(setCircleMode());
*helptext=schematicCircleHelp;
break;
case 4008 :
*textLabel=tr("Arc");
*receiver=drawing;
*slot=SLOT(setArcMode());
*helptext=schematicArcHelp;
break;
case 4009 :
*textLabel=tr("Text");
*receiver=drawing;
*slot=SLOT(setTextMode());
*helptext=schematicTextHelp;
break;
case 4010 :
*textLabel=tr("New Sheet");
*receiver=this;
*slot=SLOT(newSheetGui());
*helptext=schematicNewHelp;
break;
case 4011 :
*textLabel=tr("Set Sheet Name");
*receiver=this;
*slot=SLOT(setSheetnameGui());
*helptext=schematicNameHelp;
break;
case 4012 :
*textLabel=tr("Delete Sheet");
*receiver=this;
*slot=SLOT(deleteCurrentSheetGui());
*helptext=schematicDeleteHelp;
break;
case 4013 :
*textLabel=tr("Polygon");
*receiver=drawing;
*slot=SLOT(setPolygonMode());
*helptext=schematicPolygonHelp;
break;
case 4014 :
*textLabel=tr("Add Library");
*receiver=this;
*slot=SLOT(@slot);
*helptext=addSchematicLibHelp;
break;
case 4015 :
*textLabel=tr("Remove Library");
*receiver=this;
*slot=SLOT(@slot);
*helptext=removeSchematicLibHelp;
break;
case 4016 :
*textLabel=tr("New Component");
*receiver=this;
*slot=SLOT(@slot);
*helptext=newComponentHelp;
break;
case 4017 :
*textLabel=tr("Edit Component");
*receiver=this;
*slot=SLOT(@slot);
*helptext=editComponentHelp;
break;
case 4018 :
*textLabel=tr("Select Component");
*receiver=this;
*slot=SLOT(@slot);
*helptext=schematicLibSelectHelp;
break;
case 4019 :
*textLabel=tr("Ground");
*receiver=drawing;
*slot=SLOT(setGroundMode());
*helptext=schematicGroundHelp;
break;
case 4020 :
*textLabel=tr("Set Color");
*receiver=this;
*slot=SLOT(setColor());
*helptext=schematicColorHelp;
break;
case 4021 :
*textLabel=tr("Edit Item");
*receiver=drawing;
*slot=SLOT(setEditMode());
*helptext=schematicEditHelp;
break;
case 4022 :
*textLabel=tr("Copy to Layout");
*receiver=this;
*slot=SLOT(toLayout());
*helptext=toLayoutHelp;
break;
case 4023 :
*textLabel=tr("Use as Component");
*receiver=this;
*slot=SLOT(useAsComponent());
*helptext=toComponenttHelp;
break;
case 6000 :
*textLabel=tr("Execute");
*receiver=this;
*slot=SLOT(executeGui());
*helptext=execHelp;
break;
